PDA

View Full Version : What to buy???



Gehrig44
05-06-2006, 08:37 AM
Ok.. so, stupid me, I bought Ultimate Flight Collection a few days ago. (http://ubi.com/US/Games/Info.aspx?pId=4402)


Seems that I need and want the expansion packs for online play. Now, the IL-2 version that this comes with seems useless. Because I don't think it has Forgotten Battles or the Ace Expansion pack. I noticed that there is an all in one DVD out. However, I am in the US.. so I really cant find it anywhere. At any rate. If I bought the IL-2 Gold Pack and merge them altogether, should I be all set? Or do I need PE-2 as well to play online?

LStarosta
05-06-2006, 08:44 AM
You need Pe-2 to play on 4.05 servers, but I imagine there are still 4.04 servers floating around. In any case, patch your game to at least 4.04.

Aeronautico
05-06-2006, 08:44 AM
You need Forgotten Battles, its Ace Expantion Pack, and Pe-2 Peshka. There's only one way to get the latter, while the former two can be found in shops (hardly so) or for download (same place as Pe-2 and quite cheap), or together in the Gold Pack (good luck finding it), or again in the DVD that is not sold retail in US but is imported by and can be ordered from www.gogamer.com (http://www.gogamer.com) (type IL-2 in the search field...).

WildApes
05-06-2006, 10:54 AM
I made the same mistake except I bought the Direct2Drive version of IL2 : FB. Stupid me and even more stupid Direct2Drive because they don't allow expansions on their version of the games.

How crappy I felt when I tried to play a game using Hyperlobby only to find no servers would allow me to join. Not even UBI.com has any IL-2:FB vanilla servers.

So now I have rebought IL-2 : FB in a Gold Pack (they have it on amazon) and Pacific Fighters (it says pacific fighters is a requirement for PE-2)

carguy_
05-06-2006, 11:10 AM
You do not need Pe-2 Peshka payware addon to be able to play online.

Pe2 addon upgrades game to v4.05.However there are still plenty servers with v4.04m that either yet did not upgrade or don`t plan to.

AFAIK you have version 4.04m.

Xiolablu3
05-06-2006, 06:29 PM
Isnt there a new DVD out with the whole series on?

Bearcat99
05-06-2006, 08:40 PM
I think it is a DL..

Capt_Pepper
05-06-2006, 11:41 PM
Howdy Gherig44,

FYI, you can get the full DVD complete through 4.04 if you want it, even living in the USA.

One of the community members here is GoGamer Jason whose been a great help in many ways and this is one of them.

Here's a link for some info about it:
http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m...281045924#3281045924 (http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m/3281045924/r/3281045924#3281045924)

For more info on it, if you do a search for GoGamer Jason, you'll find several that pertain to this. Or, you can simply go to gogamer.com and type in il-2. You should see it there.

Having this DVD will get you through 4.04, but if you want 4.05 as well, you'll still need to obtain that separately. If you do want it, just follow the info on the front page of this forum about it. There's plenty info there.

Nice handle btw.....one of my all time favorites.

Capt_Pepper
05-07-2006, 12:04 AM
Humm......per my post above, looks like Gogamer is out of stock on the Platinum DVD.

If you contact Jason on this forum, I'm sure he can give you more info about it.

Nubarus
05-07-2006, 01:28 AM
Here is the complete download version.

IL2FB+AEP+PF+Pe-2 (http://shop.ubi.com/Prod_ExtDesc.asp?catalogid=396&id=97)